Bug 673402 - Creating a (distributed) set creates invalid docbook
Creating a (distributed) set creates invalid docbook
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruediger Landmann
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-27 23:23 EST by Rebecca Newton
Modified: 2011-07-25 20:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 20:42:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rebecca Newton 2011-01-27 23:23:18 EST
Description of problem: 

That is, I created a <set> example and the default set.xml file contained tags that were invalid as a child of <set>. <remark>, <index>, and Revision_History (appendix) all throw errors when building. Here is the content as copied directly from the .xml file:

<remark>NOTE: the href does not contain a language! This is CORRECT!</remark><remark>&#60;xi:include href=&#34;My_Other_Book/My_Other_Book.xml&#34; xmlns:xi=&#34;http://www.w3.org/2001/XInclude&#34;&#62;</remark>

<xi:include href="Revision_History.xml" xmlns:xi="http://www.w3.org/2001/XInclude"></xi:include><index></index>

Version-Release number of selected component (if applicable):


How reproducible:
Follow the instructions in the Publican User Guide to create a distributed set and try to build it!

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Fearn 2011-02-14 01:21:28 EST
Added many calls to maketext to allow default texts to be translated for create book.

Committed revision 1716.
Comment 2 Jeff Fearn 2011-02-14 01:22:20 EST
oops, comment id for a different bug ... how embarrassment!
Comment 3 Jeff Fearn 2011-03-21 01:55:56 EDT
I changed index to setindex, and removed the Revision History xi:include. The remarks really have to stay as there is no other way for an author to know what customisations they _have_ to make to build a proper distributed set.

Handing over to Rudi to have the Set documentation updated to explain this need.
Comment 4 Jeff Fearn 2011-07-05 07:29:01 EDT
Back ported to branches/publican-2x

Committed revision 1803.
Comment 5 Rebecca Newton 2011-07-12 01:19:04 EDT
Warnings are evident in the Publican output when building a set for the first time. This highlights the sections that need to change.

Note You need to log in before you can comment on or make changes to this bug.